Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## grails.util
[Java] Enum BuildScope

    java.lang.Object
      grails.util.BuildScope

    public enum BuildScope

Represents the different scopes that plugins apply to.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`static java.lang.String` | `KEY` Represents the different scopes that plugins apply to.

Method Summary
`void` | `enable()` Enables this build scope as the curent system wide instance.
`static BuildScope` | `getCurrent()` Returns the current Scope object based on the currently set "grails.scope" System property
`static boolean` | `isValid(java.lang.String scopeNames)` Returns whether the specified scope name(s) are valid given the current scope.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### KEY

    public static final java.lang.String KEY

  Represents the different scopes that plugins apply to.
  Authors:
    Graeme Rocher
  Since:
    1.1

Method Detail

### enable

    public void enable()

  Enables this build scope as the curent system wide instance.

### getCurrent

    public static BuildScope getCurrent()

  Returns the current Scope object based on the currently set "grails.scope" System property
  Returns:
    The Scope object

### isValid

    public static boolean isValid(java.lang.String scopeNames)

  Returns whether the specified scope name(s) are valid given the current scope.
  Parameters:
    `scopeNames` - The list of scope names
  Returns:
    True if they are valid

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation